aboutsummaryrefslogtreecommitdiffstats
path: root/main/ntfs-3g/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-12-17 14:36:08 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-12-17 14:36:08 +0000
commit9e3938adb923253fc79611ea71fe4c23af243f2c (patch)
treed413880a9e6b28e09ca5894bb47d208504ca0509 /main/ntfs-3g/APKBUILD
parent7e57a8a81d1ebb0be378f712c18e63f30c847145 (diff)
downloadaports-9e3938adb923253fc79611ea71fe4c23af243f2c.tar.gz
aports-9e3938adb923253fc79611ea71fe4c23af243f2c.tar.bz2
aports-9e3938adb923253fc79611ea71fe4c23af243f2c.tar.xz
main/ntfs-3g: fix musl build, remove unneeded patch
Diffstat (limited to 'main/ntfs-3g/APKBUILD')
-rw-r--r--main/ntfs-3g/APKBUILD21
1 files changed, 17 insertions, 4 deletions
diff --git a/main/ntfs-3g/APKBUILD b/main/ntfs-3g/APKBUILD
index d657e14c6a..a2d4d5631b 100644
--- a/main/ntfs-3g/APKBUILD
+++ b/main/ntfs-3g/APKBUILD
@@ -2,22 +2,30 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=ntfs-3g
pkgver=2013.1.13
-pkgrel=0
+pkgrel=1
pkgdesc="A userspace ntfs driver with write support"
url="http://www.tuxera.com/community/ntfs-3g-download/"
arch="all"
license="GPL"
depends=
-makedepends="attr-dev"
+makedepends="attr-dev util-linux-dev"
subpackages="$pkgname-doc $pkgname-dev"
-source="http://tuxera.com/opensource/ntfs-3g_ntfsprogs-$pkgver.tgz"
+source="http://tuxera.com/opensource/ntfs-3g_ntfsprogs-$pkgver.tgz
+ musl-fixes.patch
+ "
_builddir="$srcdir"/ntfs-3g_ntfsprogs-$pkgver
prepare() {
cd "$_builddir"
update_config_sub || return 1
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
}
+
build() {
cd "$_builddir"
./configure \
@@ -37,4 +45,9 @@ package() {
rm "$pkgdir"/usr/lib/*.la
}
-md5sums="2d6fb47ddf62b51733227126fe9227fe ntfs-3g_ntfsprogs-2013.1.13.tgz"
+md5sums="2d6fb47ddf62b51733227126fe9227fe ntfs-3g_ntfsprogs-2013.1.13.tgz
+cdfca9f0d20ef96ec60e072ffe4fd061 musl-fixes.patch"
+sha256sums="4b383f0074a3ab7683339d1f18222b107aaeb4983db119292c43c2b275cefb27 ntfs-3g_ntfsprogs-2013.1.13.tgz
+f60f15b5650ada189d880ffea0e199869b3d5e855913d353cab8b0b7ebc47ae4 musl-fixes.patch"
+sha512sums="34cc930320a9a54df406d0fdd71154503bac1181b5642382fcb38fa8c51235fa252c74a5c1ab06019972a236bbd717b47d2acbc7581a747657e4f7a8f216d8bc ntfs-3g_ntfsprogs-2013.1.13.tgz
+5b4680956f11c75ee3122923f36b840e2a0a38e6cebecbe7be4a02f4423746f8b7d7a89b16d7a9bea62e64534d20e87503beb582273af38d458b946387e85a02 musl-fixes.patch"